## d-itg 2.7.0~beta2-debian1

=== debian/changelog ===
d-itg (2.7.0~beta2-debian1-3) unstable; urgency=low

  * debian/rules: Fixed override_dh_auto_build bug
  * debian/control: Standards-Version: 3.9.2
  * removed debian/README.source (simplified packaging)

 -- Roland Stigge <stigge@antcom.de>  Mon, 11 Jul 2011 20:43:40 +0200

d-itg (2.7.0~beta2-debian1-2) unstable; urgency=low

  * Added documentation source from upstream in
    d-itg_2.7.0~beta2-debian1.orig-doc.tar.bz2 -> doc/*
  * Sorted out licensing issues with upstream for ITGPlot and newran
  * debian/control:
    - Build-Depends: texlive for building Documentation
   
 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Dec 2010 13:18:47 +0100

d-itg (2.7.0~beta2-debian1-1) unstable; urgency=low

  * Initial release (Closes: #593831)

 -- Roland Stigge <stigge@antcom.de>  Fri, 20 Aug 2010 17:25:28 +0200
