=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# Empty configuration

override_dh_auto_build:
	make -C src sctp=on dccp=on arm=on onoff=on
	# pdflatex needs several runs to get TOC correctly
	cd doc && for i in seq 3 ; do pdflatex d-itg-manual.tex ; done

override_dh_auto_clean:
	make -C src clean
	-rm -f bin/*
	-cd doc && rm -f *.pdf *.log *.out *.aux *.toc

override_dh_compress:
	dh_compress -X.pdf
