## d-itg 2.8.1~rc1

=== src/Makefile ===
--- 
+++ 
@@ -30,9 +30,18 @@
 	CXXOPT += -DONOFF
 endif
 
+# Enable multiport if specified on command line.
+ifdef multiport
+	CXXOPT += -DMULTIPORT
+endif
+
 ##################
 # Static options # 
 ##################
+
+# Version and revision 
+CXXOPT += -DVERSION="\"$(shell cat ../VERSION)\""
+CXXOPT += -DREVISION="\"$(shell cat ../REVISION)\""
 
 # OS options
 OS := $(shell uname)
@@ -42,6 +51,12 @@
 ifeq "$(OS)" "FreeBSD"
     OS := -DLINUX_OS -DBSD
 endif
+ifeq "$(OS)" "Darwin"
+	OS := -DLINUX_OS -DBSD -DOSX
+
+	# Warning! At the moment D-ITG has no support for IPv6 on Apple OSX:
+	CXXOPT += -DNOIPV6
+endif
 
 export OS
 export RM = rm -f
@@ -49,7 +64,7 @@
 export MV = mv
 export SUFFIX =
 export CXXFLAGS = $(CXXOPT) $(OS) -Wall -Wno-deprecated -fPIC
-export LDFLAGS = -lpthread $(LDOPT)
+export LDFLAGS = -lpthread -lm $(LDOPT)
 export BASEDIR = $(shell pwd)
 export BIN = $(BASEDIR)/../bin/
 export COMMON = $(BASEDIR)/common/
@@ -100,6 +115,11 @@
 else
 	@ echo 'ON/OFF traffic types enabled'
 endif
+ifndef multiport
+	@ echo 'To enable MULTIPORT mode types add "multiport=on" option to make command line'
+else
+	@ echo 'MULTIPORT mode enabled'
+endif
 	@ echo -e 'NOTE: To change options type: make clean all [options]'
