=== src/ITGDec/Makefile ===
CFLAGS = $(subst -O2,-O0,$(CXXFLAGS))
OBJS = ITGDecod.o ../common/ITG.o

all: ITGDec 

ITGDec:  ITGDecod.cpp $(OBJS)
	$(CXX) $(CFLAGS) $(OBJS) -lm -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGDec$(SUFFIX) "$(BIN)"ITGDec*
