=== debian/changelog ===
d-itg (2.8.1~rc1-3) unstable; urgency=low

  * Reupload to unstable

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:46:24 +0200

d-itg (2.8.1~rc1-2) experimental; urgency=low

  * Fix build error with new gcc-4.8 and glibc (Closes: #701266)
  * debian/control:
    - Standards-Version: 3.9.4
    - Build-Depends: debhelper (>= 9)
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Fri, 15 Mar 2013 19:47:11 +0100

d-itg (2.8.1~rc1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 30 Aug 2011 21:41:35 +0200
