=== debian/control ===
Source: d-itg
Section: net
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), libsctp-dev, texlive
Standards-Version: 3.9.4
Homepage: http://www.grid.unina.it/software/ITG/

Package: d-itg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Internet Traffic Generator
 D-ITG (Distributed Internet Traffic Generator) is a platform capable to
 produce traffic at packet level accurately replicating appropriate stochastic
 processes for both IDT (Inter Departure Time) and PS (Packet Size) random
 variables (exponential, uniform, cauchy, normal, pareto, ...). D-ITG supports
 both IPv4 and IPv6 traffic generation and it is capable to generate traffic at
 network, transport, and application layer. We believe that D-ITG shows
 interesting properties when compared to other traffic generators.
