=== debian/watch ===
version=3
opts=dversionmangle=s/-debian\d+$// http://www.grid.unina.it/software/ITG/download.php codice/D-ITG-(.*)\.tgz
