## d-itg 2.8.1-r1023

=== debian/changelog ===
d-itg (2.8.1-r1023-7) unstable; urgency=medium

  * QA upload.
  * Fix Homepage
  * d/watch: Version=5
  * Maintain in Debian team on Salsa
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * Do not use "we" in description
  * d/rules: Hardening options

 -- Andreas Tille <tille@debian.org>  Sat, 06 Dec 2025 23:46:23 +0100

d-itg (2.8.1-r1023-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Set FORCE_SOURCE_DATE=1 in order for texlive to respect
    SOURCE_DATE_EPOCH when generating d-itg-manual.pdf. (Closes: #983832)
  * debian/control: Set Rules-Requires-Root to "no".

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 08 Oct 2022 12:28:56 -0700

d-itg (2.8.1-r1023-5) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-11. (Closes: #984030)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 01 Sep 2022 21:42:00 +0100

d-itg (2.8.1-r1023-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as mantainer. (see #812612)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.

 -- Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>  Tue, 12 May 2020 04:19:01 -0300

d-itg (2.8.1-r1023-3) unstable; urgency=medium

  * debian/control: Standards-Version: 3.9.5
  * Updated manual from upstream

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Dec 2013 00:17:45 +0100

d-itg (2.8.1-r1023-2) unstable; urgency=low

  * debian/watch updated

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Oct 2013 11:43:47 +0200

d-itg (2.8.1-r1023-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 22 Oct 2013 15:11:14 +0200
