=== debian/control ===
Source: d-itg
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libsctp-dev, texlive, texlive-latex-extra
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/d-itg
Vcs-Git: https://salsa.debian.org/debian/d-itg.git
Homepage: https://traffic.comics.unina.it/software/ITG/

Package: d-itg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Internet Traffic Generator
 D-ITG (Distributed Internet Traffic Generator) is a platform capable to
 produce traffic at packet level accurately replicating appropriate stochastic
 processes for both IDT (Inter Departure Time) and PS (Packet Size) random
 variables (exponential, uniform, cauchy, normal, pareto, ...). D-ITG supports
 both IPv4 and IPv6 traffic generation and it is capable to generate traffic at
 network, transport, and application layer. Upstream believes that D-ITG shows
 interesting properties when compared to other traffic generators.
