=== debian/watch ===
Version: 5

Source: https://traffic.comics.unina.it/software/ITG/download.php
Matching-Pattern: codice/D-ITG-(.*)-src\.zip
